org.apache.commons.math.ode.jacobians

## Interface ParameterizedODE

- All Superinterfaces:
    FirstOrderDifferentialEquations

  Deprecated.
  as of 2.2 the complete package is deprecated, it will be replaced in 3.0 by a completely rewritten implementation

      @Deprecated
      public interface ParameterizedODE
      extends FirstOrderDifferentialEquations

  This interface represents `first order differential equations` with parameters.
  Since:
    2.1
  Version:
    $Revision: 1037341 $ $Date: 2010-11-20 22:58:35 +0100 (sam. 20 nov. 2010) $
  See Also:
    `FirstOrderIntegratorWithJacobians`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getParametersDimension()` Deprecated. Get the number of parameters.
    `void` | `setParameter(int i, double value)` Deprecated. Set a parameter.

    - ### Methods inherited from interface org.apache.commons.math.ode.FirstOrderDifferentialEquations

      `computeDerivatives, getDimension`

- - ### Method Detail

    - #### getParametersDimension

          int getParametersDimension()

      Deprecated.
      Get the number of parameters.
      Returns:
        number of parameters

    - #### setParameter

          void setParameter(int i,
                          double value)

      Deprecated.
      Set a parameter.
      Parameters:
        `i` - index of the parameters (must be between 0 and `getParametersDimension() - 1`)
        `value` - value for the parameter

Copyright (c) 2003-2013 Apache Software Foundation